v.in.lines(1)

NAME
v.in.lines - Imports ASCII x,y[,z] coordinates as a series of lines.

KEYWORDS
vector, import, line, point

SYNOPSIS
v.in.lines
v.in.lines --help
v.in.lines [-z] input=name output=name [separator=character] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-z
    Create a 3D line from 3 column data

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input file (or "-" to read from stdin)

output=name [required]
    Name for output vector map

separator=character
    Field separator
    Special characters: pipe, comma, space, tab, newline
    Default: pipe

DESCRIPTION
Imports a stream of ASCII x,y[,z] coordinates as a line or series of lines.

NOTES
Input ASCII coordinates are simply a series of "x y" data points. Lines are separated by a row containing "NaN NaN".

The user can import 3D lines by providing 3 columns of data in the input stream and using the -z flag.

This script is a simple wrapper around the v.in.mapgen module.

EXAMPLE

v.in.lines in=- out=two_lines separator=, <<EOF
167.846717,-46.516653
167.846663,-46.516645
167.846656,-46.516644
167.846649,-46.516644
167.846642,-46.516643
NaN,NaN
167.846520,-46.516457
167.846528,-46.516461
167.846537,-46.516464
167.846535,-46.516486
167.846544,-46.516489
167.846552,-46.516493
EOF

SEE ALSO
d.graph, v.centroids, v.in.ascii, v.in.mapgen, v.in.region, v.out.ascii, r.in.poly

AUTHOR
Hamish Bowman
Dunedin, New Zealand

SOURCE CODE

Available at: v.in.lines source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual